Subject: Re: BIND8 upgrade?
To: Jun-ichiro itojun Hagino <>
From: Robert Elz <kre@munnari.OZ.AU>
List: tech-net
Date: 01/27/2004 13:38:53
    Date:        Mon, 26 Jan 2004 16:04:15 +0900 (JST)
    From: (Jun-ichiro itojun Hagino)
    Message-ID:  <>

  | 	on BIND9, we are still waiting for BIND 9.3 branch release.  BIND 9.2
  | 	has various drawbacks (such as unneeded A6 queries) so we do not want
  | 	9.2.

I agree that we don't want 9.2 - and I'm wondering just why the bind9-current
package was removed from pkgsrc (not by you itojun - this is a general
query, and why I added tech-pkg to the cc list).

The bind9-current pgksrc was the best generally available version of
BIND around - sure it was an oddly named ancient snapshot of an alpha
release, or something like that, which hadn't altered in ages, and which
might cause someone to suspect that using a snapshot from Dec 2002 might
no longer be the best thing to be doing - but actually, that's exactly
backwards - that version was untouched for so long, precisely because there
was nothing in it that needed touching.

Bind9 is (of course) largely working on DNSSEC, and as all of that is
changing (yet again) development has kind of stalled until a new agreement
is found as to how it should all work - which makes the DNSSEC part of
that bind9 snapshot version close to useless (as if every other current
DNSSEC implementation) - but if what you're after isn't DNSSEC, but just
a general nameserver, that old Dec 2002 bind9.3 snapshot is what everyone
ought to be running (I have been sine it first appeared,with zero

I'd like the pkgsrc for it to reappear (either as bind9-current, or perhaps
just for the bind9 pkgsrc to be updated to that one).